Bug 33120 - can't read /usr/share/doc in apache
Summary: can't read /usr/share/doc in apache
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: apache (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-03-25 16:55 UTC by Chris Runge
Modified: 2007-04-18 16:32 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-25 16:55:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Chris Runge 2001-03-25 16:55:23 UTC
Florence qa0322

Reading doc doesn't work when "allow from" is set to localhost, but does
when set to 127.0.0.1.

e.g., this is the default /etc/httpd/conf/httpd.conf file that doesn't work:

# Allow access to local system documentation from localhost
Alias /doc/ /usr/share/doc/
<Location /doc>
  order deny,allow
  deny from all
  allow from localhost
  Options Indexes FollowSymLinks
</Location>

this does:

# Allow access to local system documentation from localhost
Alias /doc/ /usr/share/doc/
<Location /doc>
  order deny,allow
  deny from all
  #allow from localhost
  allow from 127.0.0.1
  Options Indexes FollowSymLinks
</Location>

Comment 1 Nalin Dahyabhai 2001-03-28 23:23:42 UTC
The allow statement will be changed to "allow localhost .localdomain" in
apache-1.3.19-4 and later.  Thanks!


Note You need to log in before you can comment on or make changes to this bug.